<template>
	<view class="content">
		<view class="user-info flex">
			<image src="" mode="" class="user-img"></image>
			<view class="user-name">{{ userInfo.nickname }}</view>
			<!-- <view class="tit">尚未升级黑钻会员</view> -->
		</view>
		<view class="up-box">
			<view class="up" v-for="(item, index) in list">
				<image src="../../static/img/upone.png" mode="" class="bg"></image>
				<view class="up-price">
					<text class="inconn">￥</text>
					<text>{{item.money}}</text>
				</view>
				<image src="../../static/img/uonow.png" mode="" class="uplevel" @click="navto(item.id)"></image>
			</view>
		</view>
	</view>
</template>

<script>
import { activityList } from '@/api/active.js';
import { mapState, mapMutations } from 'vuex';
export default {
	data() {
		return {
			list: ''
		};
	},
	computed: {
		...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
	},
	onShow() {
		this.loadData();
	},
	methods: {
		navto(id) {
			if(!this.userInfo.bank_card_no && !this.userInfo.bank_of_deposit){
				console.log(this.userInfo,"11111")
				uni.showModal({
				    title: '提示',
				    content: '您当前未填写银行卡信息和所属银行是否前往填写',
				    success: function (res) {
				        if (res.confirm) {
				           uni.navigateTo({
								url:'/pages/set/userinfo'
				           })
				        } else if (res.cancel) {
				            console.log('用户点击取消');
				        }
				    }
				});
			}else {
				uni.navigateTo({
					url:'/pages/index/info?id='+ id
				});
			}
		},
		loadData(){
			activityList({}).then(({data}) =>{
				this.list = data.list
			})
		}
	}
};
</script>

<style lang="scss" scoped>
.user-info {
	flex-direction: column;
	align-items: center;
	text-align: center;
	padding-top: 20rpx;
	.user-img {
		width: 120rpx;
		height: 120rpx;
		border-radius: 50%;
		background-color: #eee;
	}
	.user-name {
		margin-top: 20rpx;
		width: 240rpx;
		font-size: 32rpx;
		font-family: PingFang SC;
		font-weight: bold;
		color: #ffffff;
	}
	.tit {
		padding-top: 8rpx;
		font-size: 24rpx;
		font-family: PingFang SC;
		font-weight: 400;
		color: #999999;
	}
}
.up-box {
	padding: 30rpx 0 100rpx 0;
	.up {
		width: 690rpx;
		height: 892rpx;
		position: relative;
		margin: 0 auto 34rpx;
		.bg {
			width: 690rpx;
			height: 892rpx;
			position: absolute;
		}
		.up-price {
			font-size: 116rpx;
			display: inline-block;
			font-family: Source Han Sans CN;
			font-weight: 800;
			color: #c63535;
			position: absolute;
			top: 250rpx;
			right: 0;
			left: 0;
			margin: auto;
			display: flex;
			justify-content: center;
			.inconn {
				font-size: 36rpx;
				font-family: Source Han Sans CN;
				font-weight: bold;
				color: #c63535;
				padding-top: 25rpx;
			}
		}
		.uplevel {
			width: 307rpx;
			height: 80rpx;
			position: absolute;
			bottom: 118rpx;
			right: 0;
			left: 0;
			margin: auto;
		}
	}
}
</style>
